#!/bin/ksh
#set -vx

# Introscope Enterprise Manager curl stub script.

if [ -L $0 ]; then
  ls="`ls -l $0`"
  PRG="${ls##* -> }"
else
  PRG="$0"
fi

if [ "$PRG" = ^/ ]; then
  DIR=`dirname $PRG`
else
  DIR="`cd \`dirname $PRG\`; pwd -P`"
  PRG="`cd \`dirname $PRG\`; pwd -P`/`basename $PRG`"
fi

DESC="Introscope Enterprise Manager curl stub script"
SCRIPT=${PRG##*/}
NAME=${SCRIPT%.*}

DIENST=`echo "$DIR" | cut -c6-12`
OS=`uname -s | tr 'A-Z' 'a-z'`

cd $DIR

# Curl init.
CMD="curl"
CFG="./curl.conf"
LOG="../logs/curl.log"

if [ -d "$HOME/bin" ]; then
  PATH="$HOME/bin:$PATH"
fi
if [ -d "$HOME/lib" ]; then
  LIBPATH="$HOME/lib:$LIBPATH"
fi

export PATH LIBPATH

eval $CMD $*

exit $?
